Subject: Re: linux-next: manual merge of the uuid tree with the arm64 tree

From: Will Deacon <[email-masked]>
Date: Mon, 19 Jun 2017 10:19:43 +0100

Hi Stephen, Christoph, Tyler,

On Fri, Jun 16, 2017 at 03:21:36PM +1000, Stephen Rothwell wrote:
> Today's linux-next merge of the uuid tree got conflicts in:
> 
>   drivers/acpi/apei/ghes.c
>   include/uapi/linux/uuid.h
> 
> between commits:
> 
>   f4dccde3f9b9 ("ras: acpi/apei: cper: add support for generic data v3 structure")
>   476e4940c251 ("ras: acpi / apei: generate trace event for unrecognized CPER section")
>   8a0456ea3dec ("trace, ras: add ARM processor error trace event")
> 
> from the arm64 tree and commit:
> 
>   60927bc31436 ("uuid: remove uuid_be defintions from the uapi header")
>   f9727a17db9b ("uuid: rename uuid types")
>   5b53696a30d5 ("ACPI / APEI: Switch to use new generic UUID API")
> 
> from the uuid tree.
> 
> I really can't fix this up, so can you guys get together and sort this
> out, please.
> 
> For today, I have just dropped the uuid tree, sorry.

Apologies for this: I've just dropped the offending merge from the arm64
tree so you can include the uuid tree in -next again.

Tyler: please rebase your patches on top of Christoph's uuid-types branch
and send me a new series.

Will